import { jsx } from "react/jsx-runtime";
import { TokenCNFI as TokenCNFI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCNFI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CNFI", "data-name": "TokenCNFI", ...props, children: /* @__PURE__ */ jsx(TokenCNFI$1, { variant }) });
  }
);
TokenCNFI.displayName = "TokenCNFI";
Object.assign(TokenCNFI, { isGdsIcon: true });
export {
  TokenCNFI
};
